### Constructor

# Soup CookieJarDB new

#### Declaration [src]

    SoupCookieJar*
    soup_cookie_jar_db_new (
      const char* filename,
      gboolean read_only
    )

#### Description [src]

Creates a `SoupCookieJarDB`.

`filename` will be read in at startup to create an initial set of cookies. If `read_only` is `FALSE`, then the non-session cookies will be written to `filename` when the `SoupCookieJar::changed` signal is emitted from the jar. (If `read_only` is `TRUE`, then the cookie jar will only be used for this session, and changes made to it will be lost when the jar is destroyed.)

#### Parameters

`filename`

  Type: `const char*`

  The filename to read to/write from, or `NULL`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`read_only`

  Type: `gboolean`

  `TRUE` if `filename` is read-only.

#### Return value

Type: `SoupCookieJar`

The new `SoupCookieJar`.

The caller of the function takes ownership of the data, and is responsible for freeing it.